/** Copyright (C) 2010 Maxime Gamboni. See COPYING for
    copying/warranty info. */

/* Instructs the camera to try having (x,y) visible. If transient is
   set to true, the request is only enforced for one frame, otherwise,
   the point is kept visible for some time. */
void lookAt(double x,double y,bool transient);

/* Forget recent lookAt(). Deprecated, use transient lookats instead */
// void dontLook();

/* see comments in mainLoop.cpp */
//void normCam(int weight);

void resetCam();

void updateCam(double t);

void applyCam();

void debugCam();
