#ifndef DYNAMO_H
#define DYNAMO_H

/** Need to hit it hard enough to break it

    Copyright (C) 2010 Maxime Gamboni. See COPYING for
    copying/warranty info. */


#include "stone.h"

class Dynamo : public Stone {
 public:

  Dynamo(unsigned int id);
  ~Dynamo();

  void update(double t, Level *lvl);

  void render();

  bool trigger(Littlecube *b);

  double check_collision(double x,double y,double dx,double dy, double *n, double *v,bool triggers=false);

 private:
  /* Force of recent hits */
  double force;

  /* Force of latest call to check_collision. This gets transfered to
     (force) if trigger is called afterwards */
  double tforce;
};

#endif
